import 'dart:convert';

import 'package:json2dart_safe/json2dart.dart';

class AvatarModel with BaseDbModel {
  String? avatar;

  AvatarModel({
    this.avatar,
  });

  @override
  Map<String, dynamic> toJson() => <String, dynamic>{}..put('avatar', avatar);

  AvatarModel.fromJson(Map json) {
    avatar = json.asString('avatar');
  }

  static AvatarModel toBean(Map json) => AvatarModel.fromJson(json);

  @override
  Map<String, dynamic> primaryKeyAndValue() => {"avatar": avatar};

  @override
  int get hashCode => avatar?.hashCode ?? super.hashCode;

  @override
  bool operator ==(Object other) {
    if (other is AvatarModel && avatar != null) {
      return other.avatar == avatar;
    }
    return super == other;
  }

  @override
  String toString() => jsonEncode(toJson());
}
